BANK FAMA - Support #728

[GENERAL] Authorization
01/06/2022 02:48 PM - Kezia Pawitra Yulianti

Status: Closed Start date: 01/06/2022
Priority: Urgent Due date: 01/10/2022
Assignee: dian perdana putra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 16.50 hours
Description

Dear Yomma,

minta tolong untuk dibuatkan tambahan fungsi untuk kebutuhan otorisasi dgn kondisi sbb:
1. Sudah dibuatkan tambahan field WTAuthorizatioGroup pd tabel authorization
2. Yang akan di isi dgn kode CompanyID untuk membaca otorisasi pd tabel CU0300

Sesuai diskusi perlu dibuatkan fungsi baru untuk kebutuhan look up wage type (tidak memakai dll yang sudah ada sebelumnya)
db Bank Fama MinovaES_BankFama_Dev

Jika msh ada yg perlu didiskusikan, silahkan ya

Tks

History

#1 - 01/06/2022 02:53 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

for info,
nanti ini akan menjadi standar product ya
oh iya, satu hal lagi...jika di cu0300 nya field WTAuthorizationGroup nya kosong maka wt itu akan muncul di semua otorisasi.

Tks

#2 - 01/06/2022 05:30 PM - Kezia Pawitra Yulianti

Informasi Username,
Untuk CompanyID 1000 (old)

Username : captain
Password : 123Aa

Untuk CompanyID 2000 (New)

Username : ilvia
Password : 123Aa

#3 - 01/07/2022 10:58 AM - Tri Rizqiaty

- File SDATASOURCE Fama WTAuth.png added

- File PDSPYWAGETYPEAUTH.sql added

- File MinovalS.MinovaES.Extensions.Data.Element.PY.dll added

- Status changed from Assigned to Developing

Fixing :

1. Update API1 & API2 - bin : MinovalS.MinovaES.Extensions.Data.Element.PY.dll

2. Update table SDATASOURCE - DataSourcname : PDSPAO0007 = rubah isi Field - LibraryNameFile menjadi
MinovalS.MinovaES.Extensions.Data.Element.PY, MethodName menjadi PDSPYWAGETYPEAUTH, sesuai dengan gambar terlampir
3. Create SP : PDSPYWAGETYPEAUTH

Notes : jangan lupa wagetype yang dibuat baru tolong didaftarkan di table PCMEPMDCONSUB, dan di table PHRPYCUO0300 field
WTAuthorizationGroup diisi CompanyID
#4 - 01/07/2022 10:59 AM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to dian perdana putra

#5 - 01/12/2022 11:59 AM - dian perdana putra

- File clipboard-202201121152-0pyvq.png added

- File clipboard-202201121154-js2uc.png added

- File clipboard-202201121156-xv6qn.png added

Dear Tim ,

Ada beberapa hal yang masih perlu di perbaiki sbb

1. Pada Payroll Control Masih Tampil Payroll Group selain Payroll Group : Bank Fama (NEW)

2. Pada Payroll Process Running Masih Tampil Payroll Group selain Payroll Group : Bank Fama (NEW) & Employee Selain Company 2000 Masih
Tampil

3. Saya Prosess Running Payroll Emp 20150208 belum berhasil

Mohon Petunjuk dari suhu..

S o Eava

HRIS Menu

llvia Ariton

Lookup - EmployeeStart

Quick Search [EGIELTES-ETd)]

Payroll Simulatior

= Payroll Administration
v Home e Payroll Simulation & H :Ir:;IeP’ ExteraliDd ]
{] Payroll Data :
{1 Payroll Mass Data Payroll Group Selecti( Employee ...  External ID | Full Name Company ID
19961110 10015 Eduard Oematan PT. BANK FAMA INTERNATIONAL
@1 t P Il
mport Payrol
Upload Init P e at P G ) 19961212 19961212 Tati Purwanti PT. BANK FAMA INTERNATIONAL  Band
(1) Upload Init Payroll Cumula ayroll Group: ining -
@ Export Payroll 19970203 19970203 Lucy Sulistiowati PT. BANK FAMA INTERNATIONAL  Band
i v Payroll Period: I -
[y Payroll Accounting 19970304 10011 Lusi Asrimutia PT. BANK FAMA INTERNATIONAL  JABO
Employee ID i 3
[ payroll Contral Fro:n:y 19970505 19970505  Emil Mustagiem PT. BANK FAMA INTERNATIONAL  Band, [l -
[ Payroll Process Employee ID 19980801 10002 Ferysa Setyawan PT. BANK FAMA INTERNATIONAL ~ JABO P
To:
{] Log Payroll Process 20000205 205 Rustam PT. BANK FAMA INTERNATIONAL  Band
17 Delete Payroll Result 20000306 20000306  Yuzias Walindara PT. BANK FAMA INTERNATIONAL ~ Band
[ T™ To Payroll 20000508 20000508 Kristijastoeti PT. BANK FAMA INTERNATIONAL  Band
[ Generate Payroll Period 20000710 20000710 Waryono PT. BANK FAMA INTERNATIONAL  Band
Run Status . -
« [= Payroll Report ‘7nnn1n11 10017 M liikmannl Hakim — PT RANK FAMA INTFRNATIONAI |An:1
» [ Payroll Benefit Report User Date ning | ESucce.. EError Payroll Acti... Pr
225 captain 16/0712 Page 1 of 8 > » [ Displaying 1- 25 of 178 o R
[¥) Payroll Result
i 224 minovais  03/05/2 1 (1] 0 RL
[ Payslip
~nn ot Anmcn) A ~ - P
e BANK FAMA llvia Aritonang [~
~
HRiS Menu

= Payroll Accounting
[ Payroll Control
[ Payroll Process
{1 Log Payroll Process
17 Delete Payroll Result
[ ™™ To Payroll
[ Generate Payroll Period
~ [= Payroll Report
» [ Payroll Benefit Report
[ Payroll Result
1) Payslip
[ Payroll Run Status
[ Wage Type Report
[ Bank Transfer
[ Wage Type Recap
[ Posting To GL (Cost Cent
[ Posting To GL (Company

[ SPT Bulanan
Payroll Simulation & Running

Home e Payroll Simulation & Running

Payroll Group Selection

Payroll Group: BANK FAMA (NEW]|

Payroll Period: BANK FAMA

INTERNATIONAL
Employee ID
From: NON TRANSFER

BANK FAMA

Employee ID
To:

BANK FAMA (NEW)

Run Status

Period Month
04

Date
16/07/2021

User
captain

minovais  03/05/2021 04

minovais  03/05/2021 04

minovais  03/05/2021 04

-

Period Year

2021

2021

2021

2021

Payroll Group
BANK FAMA

BANK FAMA
BANK FAMA

BANK FAMA

Process Type:

Payroll Action: Al

Force Retro: No

Retro Date:

Run Status  E.Tot..

Finish
Finish

Finish

E.Running

Running

E.Succe...

E.Error  Payroll Acti..  Process Type

0 Running
Running
Running

Running
§ip PN EAVA llvia Aritonang [N
N

HRiS Menu

Payroll Control

» [ Master Data
Home e Payroll Control
~ [= Human Resource

~ [= HR Administration Payroll Group Selection
» [ Employee Admin...
» [ Time Management
Payroll Group:
et [ -]e
~ [= Payroll Administr...
BANK FAMA
{1 payroll Data

INTERNATIONAL
NON TRANSFER

Import Payroll
® Ime Y BANK FAMA

Upload Init P...
o

(© Export Payroll
~ [= Payroll Accounting
[™ Payroll Control
[ Payroll Process
{1 Log Payroll Pr...

17 Delete Payrol...

™ T™ To Payroll

#6 - 01/12/2022 12:11 PM - Kezia Pawitra Yulianti
silahkan coba Ig Put

Tks

#7 - 01/13/2022 01:59 PM - dian perdana putra

Dear Tim
Update Hasil Testing

1. Pada Payroll Control Masih Tampil Payroll Group selain Payroll Group : Bank Fama (NEW).

Ok

2. Pada Payroll Process Running Masih Tampil Payroll Group selain Payroll Group : Bank Fama (NEW) & Employee Selain Company 2000 Masih
Tampil

Ok

3. Saya Prosess Running Payroll Emp 20150208 belum berhasil

Untuk yang Running masih belum bisa

#8 - 01/24/2022 02:58 PM - dian perdana putra
- File clipboard-202201241453-6faxk.png added

Dear Tim Developer
Mohon dibantu Untuk di perbaiki

Problem nya :

Lookup WageType Pada Form > Payroll Data > Additional Payroll

WageType dengan WT Authorization Group (CompanyID 1000 & 2000 ) Tampil semua dengan Skenario User dengan CompanyID 2000
Contoh UserName : ilvia, password : 123Aa.

Hal Yang seharus nya :

Lookup WageType Pada Form > Payroll Data > Additional Payroll
WageType hanya menampilkan WT Authorization Group CompanyID 2000
emug FAMA

Payroll Data
[ ] My Workplace
Home » roll Data
+ [ Master Data

= Human Resource Employee Overview - 20211205 - Levann;

* [ HR Administration

Employee ID: 20211205
T Employee Admi Full Name: Levanna Rosa Maria
Empl M...
1 emplayee Employee Status: Active
[] Employee M...

Employee Type: Contract

o

{#) Import Empl...

1] Delete Empl... Master Data

{*) Mass File Im...

Payroll Basic Data Start Date:

[ Employee Re...
Reguler Payrall L]

End Date:
b [ Time Manageme...
Additional Payroll O
* [= Payroll Administ... Wage Type:
7
{1 Payroli Data
Number:
{] Payroll Mass ...
. Amount:
*) Import Payroll
() Upload Init P Currency:
b [ Payroll Accounti...
Flag:
» [ HR Strategic
Overwrite:
+ [ System Administration -

#9 - 01/24/2022 04:00 PM - Tri Rizqgiaty
- File clipboard-202201241600-fdgmv.png added

Fixing :

1. Create SP : PDSPYWAGETYPEIRREGULARAUTH

Lookup - Wage Type
Wage Type:

Wage Type Definition

Desc:
Fl... Owverwrite | Amou
3 ¥ 0.00
(] ¥ 0.00
o ¥
D ¥
D ¥
o ¥
3 ¥ 0.00
4
Page | 1 of 2

Curren.. | WT Authorization G
1000 -
1000
ptes:
1000
1000
2000
leate By:
2000
-
[eate Date:
3
» 2 Displaying 1 - 2518NgE By:

ange Date:

2. Update API1 & API2 - bin : MinovalS.MinovaES.Extensions.Data.Element.PY.rdl
3. Update table SDATASOURCE - DataSourcname : PDSPA0014 = rubah isi Field - LibraryNameFile menjadi

MinovalS.MinovaES.Extensions.Data.Element.PY, MethodName menjadi PDSPYWAGETYPEIRREGULARAUTH sesuai dengan gambar terlamplr

L SQLSERV...dbo.SDATASOURCE SERVERTT\SCLSERV...dbo.SDATASOURCE < [EelRelTT T oy W1y o S0LQuery1.s
IL; Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... Or...
,cn: DataSourceN... SDATASO... LIKE "2:0014%"
s R TableNzme SDATASO..
g StoreToTable SDATASO...

StringCuery SDATASO...

LibraryName... SDATASO...

ClassName SDATASO...

MethodName SDATASO...

Active SDATASO...

=
DataSourceMa...  TableMame StoreToTable StringCuery Cibraryliamerile Classhame MethodMame Active
PDSPADDT4 PHRPYCUO300 1 NULL Minavals.MinovaES Extensions.Data Element.PY LoadDataSet PDSPYWAGETYPEIRREGULARAUTH (1
» PDSPADD14_EX PHRPYCUO300 1 NULL Minowval5.MinovaES. Extenzions.Data.Element LoadDataSet PDSPAODTS 1
. NULL NULL NULL NULL TRt NULL MNULL MNULL

#10 - 02/11/2022 03:50 PM - dian perdana putra
- Status changed from QA Test to Deploy
#11 - 02/11/2022 03:50 PM - dian perdana putra
- Status changed from Deploy to Closed
Files
SDATASOURCE Fama WTAuth.png 28.3 KB 01/07/2022 Tri Rizqiaty
PDSPYWAGETYPEAUTH.sql 12.9 KB 01/07/2022 Tri Rizqiaty
MinovalS.MinovaES.Extensions.Data.Element.PY.dll 8 KB 01/07/2022 Tri Rizqgiaty
clipboard-202201121152-opyvq.png 101 KB 01/12/2022 dian perdana putra
clipboard-202201121154-js2uc.png 163 KB

clipboard-202201121156-xv6qn.png 221 KB
clipboard-202201241453-6faxk.png 105 KB
clipboard-202201241600-fdgmv.png 55.6 KB
01/24/2022
01/24/2022
Tri Rizqgiaty
